System.Web 2.0.0.0

The property and methods defined in the interface offer a convenient way for the control designer to access a control for passing and retrieving temporary design-time data. The interface is implemented by the class. Control designers use the implementation of this interface to access the control.

Temporary design-time data is not persisted with the control itself. To persist design-time data for a control, you should retrieve the contents of the property and store them in a designer-specific location.

Provides access to a control designer to store temporary design-time data associated with a control.

- Method
  System.Collections.IDictionary

  This method is used only by control designers.

  When implemented, gets the state from the control during use on the design surface.

  An of the control state.

  2.0.0.0
- Method
  System.Void `` To be added.

  In overridden controls, this method is used to retain and set state for the control during design-time mode. This method is used only by control designers.

  When implemented, sets control state before rendering it on the design surface.

  2.0.0.0
- Method
  System.Void `` To be added.

  In a composite container scenario where one control contains another control, the container is the control owner.

  When implemented, specifies the control that acts as the owner to the control implementing this method.

  2.0.0.0
- Property
  System.Collections.IDictionary To be added.

  A control's properties and content can be persisted, so that the control maintains state in the design-time environment. This property is used only by control designers.

  When implemented, gets a collection of information that can be accessed by a control designer.

  2.0.0.0